# Class RevertProject

java.lang.Object
org.apache.jmeter.gui.action.RevertProject

All Implemented Interfaces:
  `Command`

public class RevertProject extends Object implements Command
Handles the Revert Project command.

## Constructor Summary

Constructors
Constructor
Description
`RevertProject()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RevertProject

public RevertProject()

## Method Details

### getActionNames

public Set<String> getActionNames()

Specified by:
  `getActionNames` in interface `Command`

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`